Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class PortalRenderHelper

    java.lang.Object
      com.bea.portal.render.servlets.jsp.RenderHelper
          com.bea.portal.render.servlets.jsp.PortalRenderHelper

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PortalRenderHelper
extends RenderHelper

A helper class with static methods to assist in rendering the portal.

Constructor Summary
`PortalRenderHelper()` Deprecated.

Method Summary
`static PortletIdentifier` | `getEditPortlet(HttpServletRequest request)` Deprecated. Return a portlet in edit mode for the current page, if no portlet is maximized then return null.
`static PortletIdentifier` | `getMaximizedPortlet(HttpServletRequest request)` Deprecated. Return a maximized portlet for the current page, if no portlet is maximized then return null.
`static SkinIdentifier` | `getSelectedSkin(HttpServletRequest request)` Deprecated. Return the selected skin

Methods inherited from class com.bea.portal.render.servlets.jsp.RenderHelper
`getPageIdentifier, getPageState, getPortalSession, getPortalState, getPortletIdentifier, getPortletState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalRenderHelper

    public PortalRenderHelper()

  Deprecated.

Method Detail

### getMaximizedPortlet

    public static PortletIdentifier getMaximizedPortlet(HttpServletRequest request)
                                                 throws JspException

  Deprecated.
  Return a maximized portlet for the current page, if no portlet is maximized then return null.

  Throws:
    `JspException`

### getEditPortlet

    public static PortletIdentifier getEditPortlet(HttpServletRequest request)
                                            throws JspException

  Deprecated.
  Return a portlet in edit mode for the current page, if no portlet is maximized then return null.

  Throws:
    `JspException`

### getSelectedSkin

    public static SkinIdentifier getSelectedSkin(HttpServletRequest request)
                                          throws JspException

  Deprecated.
  Return the selected skin

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved